#!perl                                                      #<HTML><PRE>
#
# Perl script to convert PCX snapshots into GIF (just for Linux!)
#
# Version: 5.20
# Date: 1998, October 30
#
# Usage:
#     perl fdgiflux.pl SEP
# Parameters:
#     SEP...  Name of the history file.
# Parameters read from the history file:
#     SNAPS=string... Mask for the names of PostScript snapshot files.
#             Default: SNAPS='fd00*.ps'
#     MOVIE=string... Names of the animated GIF file.
#             Default: MOVIE='fd.gif'
# Include files required:
#     sep.pl
# Programs required:
#     convert
#     gifmerge
#
# ======================================================================
# Main program 'fdgiflux.pl':
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~
  require 'sep.pl';
  $SEP="$ARGV[0]";
#
  &RSEP1($SEP);
  &RSEP3('SNAPS',$SNAPS,'fd00*.ps');
  &RSEP3('MOVIE',$MOVIE,'fd.gif');
#
  foreach $SNAP (<${SNAPS}>) {
    $SNAP=~s/.ps//;
    open(LU,"|convert -verbose $SNAP.pcx $SNAP.gif");
    close(LU) || die "Error";
  }
#
# Merging GIF files into one animated GIF file:
  $SNAPS=~s/.ps//;
  open(LU,"|gifmerge -20 -l0 $SNAPS.gif>$MOVIE");
  close(LU) || die "Error";
  print "\nFDGIFLUX: Done.\n";
# ======================================================================
1;                                                               #</PRE>
